C Operating system dependent subroutines.
C
C COPYRIGHT 1980, 1990, INFOCOM COMPUTERS AND COMMUNICATIONS, CAMBRIDGE MA.
C ALL RIGHTS RESERVED, COMMERCIAL USAGE STRICTLY PROHIBITED
C WRITTEN BY R. M. SUPNIK
C rewritten by Volker Blasius for DOS (Microsoft FORTRAN PowerStation 1.0)
C
C ITIME - Return system time in component form
C
      SUBROUTINE ITIME (H, M, S)
      IMPLICIT INTEGER (A-Z)
      INTEGER*2 IHR,IMIN,ISEC,I100TH

      CALL GETTIM(IHR,IMIN,ISEC,I100TH)
      H = IHR
      M = IMIN
      S = ISEC
      RETURN

      END
C
C IDATE - Return system date in component form
C
      SUBROUTINE IDATE (Y, M, D)
      IMPLICIT INTEGER (A-Z)
      INTEGER*2 IYR,IMON,IDAY

      CALL GETDAT(IYR,IMON,IDAY)
      Y = IYR
      M = IMON
      D = IDAY
      RETURN

      END
